/*******************************************************************************
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 *  Unless required by applicable law or agreed to in writing,
 *  software distributed under the License is distributed on an
 *  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 *  KIND, either express or implied.  See the License for the
 *  specific language governing permissions and limitations
 *  under the License.
 *  
 *******************************************************************************/
//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, vhudson-jaxb-ri-2.1-456 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2009.07.20 at 10:55:05 AM IST 
//

package org.apache.wink.common.model.rss;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.XmlValue;

/**
 * <p>
 * Java class for "guid" element of <a
 * href="http://www.rssboard.org/rss-specification">RSS 2.0 Specification</a>.
 * <p>
 * The following schema fragment specifies the expected content contained within
 * this class.
 * 
 * <pre>
 * &lt;complexType name=&quot;rssGuid&quot;&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base=&quot;{http://www.w3.org/2001/XMLSchema}anyType&quot;&gt;
 *       &lt;attribute name=&quot;isPermaLink&quot; type=&quot;{http://www.w3.org/2001/XMLSchema}boolean&quot; default=&quot;true&quot; /&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * <h5>&lt;guid&gt; sub-element of &lt;item&gt;</h5>
 * <p>
 * &lt;guid&gt; is an optional sub-element of &lt;item&gt;.
 * </p>
 * <p>
 * guid stands for globally unique identifier. It's a string that uniquely
 * identifies the item. When present, an aggregator may choose to use this
 * string to determine if an item is new.
 * </p>
 * <p
 * class="example">&lt;guid&gt;http://some.server.com/weblogItem3207&lt;/guid&
 * gt;</p>
 * <p>
 * There are no rules for the syntax of a guid. Aggregators must view them as a
 * string. It's up to the source of the feed to establish the uniqueness of the
 * string.
 * </p>
 * <p>
 * If the guid element has an attribute named isPermaLink with a value of true,
 * the reader may assume that it is a permalink to the item, that is, a url that
 * can be opened in a Web browser, that points to the full item described by the
 * &lt;item&gt; element. An example:
 * </p>
 * <p class="example">&lt;guid
 * isPermaLink="true"&gt;http://inessential.com/2002/
 * 09/01.php#a2&lt;/guid&gt;</p>
 * <p>
 * isPermaLink is optional, its default value is true. If its value is false,
 * the guid may not be assumed to be a url, or a url to anything in particular.
 * </p>
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "rssGuid", propOrder = {"content"})
public class RssGuid {

    @XmlValue
    protected String  content;
    @XmlAttribute
    protected Boolean isPermaLink;

    /**
     * Gets the value of the content property.
     * 
     * @return possible object is {@link String }
     */
    public String getContent() {
        return content;
    }

    /**
     * Sets the value of the content property.
     * 
     * @param value allowed object is {@link String }
     */
    public void setContent(String value) {
        this.content = value;
    }

    /**
     * Gets the value of the isPermaLink property.
     * 
     * @return possible object is {@link Boolean }
     */
    public boolean isIsPermaLink() {
        if (isPermaLink == null) {
            return true;
        } else {
            return isPermaLink;
        }
    }

    /**
     * Sets the value of the isPermaLink property.
     * 
     * @param value allowed object is {@link Boolean }
     */
    public void setIsPermaLink(Boolean value) {
        this.isPermaLink = value;
    }

}
