/*******************************************************************************
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 *  Unless required by applicable law or agreed to in writing,
 *  software distributed under the License is distributed on an
 *  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 *  KIND, either express or implied.  See the License for the
 *  specific language governing permissions and limitations
 *  under the License.
 *  
 *******************************************************************************/
//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, vhudson-jaxb-ri-2.1-456 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2009.07.20 at 10:55:05 AM IST 
//

package org.apache.wink.common.model.rss;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;

/**
 * <p>
 * Java class for "image" element of <a
 * href="http://www.rssboard.org/rss-specification">RSS 2.0 Specification</a>.
 * <p>
 * The following schema fragment specifies the expected content contained within
 * this class.
 * 
 * <pre>
 * &lt;complexType name=&quot;rssImage&quot;&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base=&quot;{http://www.w3.org/2001/XMLSchema}anyType&quot;&gt;
 *       &lt;all&gt;
 *         &lt;element name=&quot;url&quot; type=&quot;{http://www.w3.org/2001/XMLSchema}string&quot;/&gt;
 *         &lt;element name=&quot;title&quot; type=&quot;{http://www.w3.org/2001/XMLSchema}string&quot;/&gt;
 *         &lt;element name=&quot;link&quot; type=&quot;{http://www.w3.org/2001/XMLSchema}anyURI&quot;/&gt;
 *         &lt;element name=&quot;width&quot; minOccurs=&quot;0&quot;&gt;
 *           &lt;simpleType&gt;
 *             &lt;restriction base=&quot;{http://www.w3.org/2001/XMLSchema}int&quot;&gt;
 *               &lt;maxInclusive value=&quot;144&quot;/&gt;
 *             &lt;/restriction&gt;
 *           &lt;/simpleType&gt;
 *         &lt;/element&gt;
 *         &lt;element name=&quot;height&quot; minOccurs=&quot;0&quot;&gt;
 *           &lt;simpleType&gt;
 *             &lt;restriction base=&quot;{http://www.w3.org/2001/XMLSchema}int&quot;&gt;
 *               &lt;maxInclusive value=&quot;400&quot;/&gt;
 *             &lt;/restriction&gt;
 *           &lt;/simpleType&gt;
 *         &lt;/element&gt;
 *         &lt;element name=&quot;description&quot; type=&quot;{http://www.w3.org/2001/XMLSchema}string&quot; minOccurs=&quot;0&quot;/&gt;
 *       &lt;/all&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * <h5>&lt;image&gt; sub-element of &lt;channel&gt;</h5>
 * <p>
 * &lt;image&gt; is an optional sub-element of &lt;channel&gt;, which contains
 * three required and three optional sub-elements.
 * </p>
 * <p>
 * &lt;url&gt; is the URL of a GIF, JPEG or PNG image that represents the
 * channel.
 * </p>
 * <p>
 * &lt;title&gt; describes the image, it's used in the ALT attribute of the HTML
 * &lt;img&gt; tag when the channel is rendered in HTML.
 * </p>
 * <p>
 * &lt;link&gt; is the URL of the site, when the channel is rendered, the image
 * is a link to the site. (Note, in practice the image &lt;title&gt; and
 * &lt;link&gt; should have the same value as the channel's &lt;title&gt; and
 * &lt;link&gt;.)
 * </p>
 * <p>
 * Optional elements include &lt;width&gt; and &lt;height&gt;, numbers,
 * indicating the width and height of the image in pixels. &lt;description&gt;
 * contains text that is included in the TITLE attribute of the link formed
 * around the image in the HTML rendering.
 * </p>
 * <p>
 * Maximum value for width is 144, default value is 88.
 * </p>
 * <p>
 * Maximum value for height is 400, default value is 31.
 * </p>
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "rssImage", propOrder = {})
public class RssImage {

    @XmlElement(required = true)
    protected String  url;
    @XmlElement(required = true)
    protected String  title;
    @XmlElement(required = true)
    @XmlSchemaType(name = "anyURI")
    protected String  link;
    @XmlElement(defaultValue = "88")
    protected Integer width;
    @XmlElement(defaultValue = "31")
    protected Integer height;
    protected String  description;

    /**
     * Gets the value of the url property.
     * 
     * @return possible object is {@link String }
     */
    public String getUrl() {
        return url;
    }

    /**
     * Sets the value of the url property.
     * 
     * @param value allowed object is {@link String }
     */
    public void setUrl(String value) {
        this.url = value;
    }

    /**
     * Gets the value of the title property.
     * 
     * @return possible object is {@link String }
     */
    public String getTitle() {
        return title;
    }

    /**
     * Sets the value of the title property.
     * 
     * @param value allowed object is {@link String }
     */
    public void setTitle(String value) {
        this.title = value;
    }

    /**
     * Gets the value of the link property.
     * 
     * @return possible object is {@link String }
     */
    public String getLink() {
        return link;
    }

    /**
     * Sets the value of the link property.
     * 
     * @param value allowed object is {@link String }
     */
    public void setLink(String value) {
        this.link = value;
    }

    /**
     * Gets the value of the width property.
     * 
     * @return possible object is {@link Integer }
     */
    public Integer getWidth() {
        return width;
    }

    /**
     * Sets the value of the width property.
     * 
     * @param value allowed object is {@link Integer }
     */
    public void setWidth(Integer value) {
        this.width = value;
    }

    /**
     * Gets the value of the height property.
     * 
     * @return possible object is {@link Integer }
     */
    public Integer getHeight() {
        return height;
    }

    /**
     * Sets the value of the height property.
     * 
     * @param value allowed object is {@link Integer }
     */
    public void setHeight(Integer value) {
        this.height = value;
    }

    /**
     * Gets the value of the description property.
     * 
     * @return possible object is {@link String }
     */
    public String getDescription() {
        return description;
    }

    /**
     * Sets the value of the description property.
     * 
     * @param value allowed object is {@link String }
     */
    public void setDescription(String value) {
        this.description = value;
    }

}
